Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162534 - Add Java API package
Summary: Add Java API package
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Fitzsimmons
QA Contact:
URL:
Whiteboard:
Depends On: 162533
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-05 21:40 UTC by Ian Pilcher
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version: 1.4.2.0-40jpp_76rh
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-07 01:08:49 UTC


Attachments (Terms of Use)

Description Ian Pilcher 2005-07-05 21:40:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
Fedora Core 4 includes a very good Java development environment.  The
one thing that's missing is Java API documentation.  Anthony Green has
a libgcj-docs package at

  http://people.redhat.com/green/libgcj-docs-4.0.0-1.src.rpm

This should be built as part of the gcc SRPM and included in Fedora
Core.

I also suggest creating something like classpath-javadoc-libgcj-compat
which will create appropriate symlinks in /usr/share/javadoc.  (See
the classpath-javadoc package on JPackage.org.)  This will require that
bug #162533 is fixed.

Version-Release number of selected component (if applicable):
gcc-4.0.0-8

How reproducible:
Always

Steps to Reproduce:
1.  This is an RFE.


Actual Results:  n/a

Expected Results:  n/a

Additional info:

Comment 1 Thomas Fitzsimmons 2006-02-07 01:08:49 UTC
I've just built java-1.4.2-gcj-compat-1.4.2.0-40jpp_76rh into Rawhide.  It
contains a new sub-package:

java-1.4.2-gcj-compat-javadoc

which installs gjdoc-generated class library documentation in

/usr/share/javadoc/java

Closing.



Note You need to log in before you can comment on or make changes to this bug.